FEDMSG-IRC(1)

NAME
fedmsg-irc - relay messages from the fedmsg bus to any number of IRC channels

SYNOPSIS
fedmsg-irc [--daemon] [<common fedmsg options>]

fedmsg-irc [-h|--help]

DESCRIPTION

fedmsg-irc is a daemon that relays the messages received on the fedmsg bus to the IRC channels configured in the irc fedmsg configuration key.

OPTIONS

-h, --help
    Print an help message and exit

--daemon
    Run in the background as a daemon.

COMMON FEDMSG OPTIONS

--io-threads IO_THREADS
    Number of io threads for 0mq to use

--topic-prefix TOPIC_PREFIX
    Prefix for the topic of each message sent.

--post-init-sleep POST_INIT_SLEEP
    Number of seconds to sleep after initializing.

--config-filename CONFIG_FILENAME
    Config file to use.

--print-config
    Simply print out the configuration and exit. No action taken.

--timeout TIMEOUT
    Timeout in seconds for any blocking zmq operations.

--high-water-mark HIGH_WATER_MARK
    Limit on the number of messages in the queue before blocking.

--linger ZMQ_LINGER
    Number of milliseconds to wait before timing out connections.

SEE ALSO

fedmsg-irc(1)

AUTHORS

The Fedora Infrastructure team <messaging-sig@lists.fedoraproject.org>
    Wrote the fedmsg software.

Nicolas Dandrimont <olasd@debian.org>
    Wrote this manpage for the Debian system.

COPYRIGHT
Copyright © 2014 Nicolas Dandrimont

This manual page was written for the Debian system (and may be used by others).

You can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.

On Debian systems, a copy of the license can be found in the /usr/share/common-licenses/LGPL-2.1 file.